---
updatedAt: 2026-04-12T09:29:53.000Z
---

# Fulfillment

Walmart Fulfillment Services (WFS) offers sellers another tool to grow their business and reach more customers by leveraging Walmart Fulfillment Centers (FC) for order processing. Order fulfillment with WFS offers fast, reliable fulfillment to sellers at a competitive cost.

Sellers can store their inventory at Walmart FCs and get access to Walmart's omnichannel capabilities, including our Free & Easy Returns program, which provides a competitive advantage that no other third-party service can offer.

WFS allows sellers to increase sales by offering free 2-day shipping and gaining prominence with Buy Box by tagging their items with the 2-day tag.

To learn the advantages of using WFS, refer to [Walmart Fulfillment Services](https://marketplace.walmart.com/walmart-fulfillment-services/).

## WFS API workflow: item setup to inbound shipment

This section outlines the process for creating new inbound orders (IO) and shipping inventory to fulfillment centers.

To set up items for WFS and create Inbound Orders (IO) for shipping inventory to the WFS fulfillment network, follow this sequence of WFS fulfillment API calls:

> **Note:** You can either set up items with the WFS item spec or convert existing items with the WFS conversion spec. Select either Option 1 or Option 2 for item setup.

1. *Option 1:* **Set up new items for WFS**. Set up items for ingestion with the WFS item spec. Call <a href="/us-marketplace/reference/itembulkuploads" target="_blank">Bulk Item Setup (Multiple) API</a>\
   `POST /v3/feeds?feedType=MP_WFS_ITEM`
2. *Option 2:* **Convert existing items for WFS**. Convert existing ingested items for use with WFS: Call [Convert items for WFS](/us-marketplace/reference/convertitemforwfs) API: `POST /v3/feeds?feedType=OMNI_WFS`
3. **Create an Inbound Order (IO)**. Call [Create inbound Shipment](/us-marketplace/reference/createshipment) API: `POST /v3/inbound-shipments?sellerId={sellerId}`
4. **Check for IO errors**. Call [Inbound Shipment Errors](/us-marketplace/reference/getinboundordererrors) API: `GET /v3/inbound-shipment-errors?{}`
5. **Get IO shipment-level details**. Call [Get Shipments](/us-marketplace/reference/getinboundshipmentitems) API: `GET /v3/inbound-shipments`
6. **Get IO SKU-level item details**. Get the IO SKU-level item details from the fulfillment center. Call [Inbound Shipment Items](/us-marketplace/reference/getinboundshipmentitems) API: `GET /v3/shipment-items`
7. **Update shipment quantities before delivery**. Call [Update Shipment Quantities](/us-marketplace/reference/updateshipmentquantity) API: `GET /v3/shipment-quantities?sellerId={sellerId}`
8. **Request shipping labels**. Call [Create Inbound Shipment Label](/us-marketplace/reference/createinboundshipmentlabelv2) API: `GET /v3/fulfillment/label/{shipmentId}`
9. **Provide the shipment tracking information**. Call [Update Shipment Tracking](/us-marketplace/reference/updateshipmenttrackingdetails) API: `POST /v3/shipment-tracking?sellerId={sellerId}`
10. **Cancel an IO**. Call [Cancel Inbound Shipment](/us-marketplace/reference/cancelshipment) API: `DELETE /v3/inbound-shipments/{inboundOrderId}?sellerId={sellerId}`